## grr 0.0.5

=== Makefile ===
#############################################################################
# Makefile for building: build/grr
# Generated by qmake (2.01a) (Qt 4.7.0) on: Tue Oct 26 17:17:39 2010
# Project:  grr.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile grr.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="debian/grr/usr/share" -DPKGDATADIR="" -DQT_MAEMO5_LIB -DQT_WEBKIT_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtXml -I/targets/FREMANTLE_ARMEL/usr/include/QtWebKit -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -Ibuild
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lqjson -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtWebKit -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = src/qtmain.cpp \
		src/googlereader.cpp \
		src/feedswindow.cpp \
		src/entrieswindow.cpp \
		src/contentwindow.cpp build/moc_googlereader.cpp \
		build/moc_feedswindow.cpp \
		build/moc_entrieswindow.cpp \
		build/moc_contentwindow.cpp \
		qrc_grr.cpp
OBJECTS       = build/qtmain.o \
		build/googlereader.o \
		build/feedswindow.o \
		build/entrieswindow.o \
		build/contentwindow.o \
		build/moc_googlereader.o \
		build/moc_feedswindow.o \
		build/moc_entrieswindow.o \
		build/moc_contentwindow.o \
		build/qrc_grr.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		grr.pro
QMAKE_TARGET  = grr
DESTDIR       = build/
TARGET        = build/grr

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: grr.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtWebKit.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -o Makefile grr.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtWebKit.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile grr.pro

dist: 
	@$(CHK_DIR_EXISTS) build/grr1.0.0 || $(MKDIR) build/grr1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/grr1.0.0/ && $(COPY_FILE) --parents src/googlereader.h src/feedswindow.h src/entrieswindow.h src/contentwindow.h build/grr1.0.0/ && $(COPY_FILE) --parents src/grr.qrc build/grr1.0.0/ && $(COPY_FILE) --parents src/qtmain.cpp src/googlereader.cpp src/feedswindow.cpp src/entrieswindow.cpp src/contentwindow.cpp build/grr1.0.0/ && (cd `dirname build/grr1.0.0` && $(TAR) grr1.0.0.tar grr1.0.0 && $(COMPRESS) grr1.0.0.tar) && $(MOVE) `dirname build/grr1.0.0`/grr1.0.0.tar.gz . && $(DEL_FILE) -r build/grr1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


debian-all: debian-src debian-bin

debian-src:
	dpkg-buildpackage -rfakeroot -sa -S

debian-bin:
	dpkg-buildpackage -b -rfakeroot -uc -d

install:

compiler_clean:
	-$(DEL_FILE) $(TARGET)

check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: build/moc_googlereader.cpp build/moc_feedswindow.cpp build/moc_entrieswindow.cpp build/moc_contentwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) build/moc_googlereader.cpp build/moc_feedswindow.cpp build/moc_entrieswindow.cpp build/moc_contentwindow.cpp
build/moc_googlereader.cpp: src/googlereader.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/googlereader.h -o build/moc_googlereader.cpp

build/moc_feedswindow.cpp: src/googlereader.h \
		src/feedswindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/feedswindow.h -o build/moc_feedswindow.cpp

build/moc_entrieswindow.cpp: src/googlereader.h \
		src/contentwindow.h \
		src/entrieswindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/entrieswindow.h -o build/moc_entrieswindow.cpp

build/moc_contentwindow.cpp: src/googlereader.h \
		src/contentwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/contentwindow.h -o build/moc_contentwindow.cpp

compiler_rcc_make_all: qrc_grr.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_grr.cpp
qrc_grr.cpp: src/grr.qrc \
		src/images/star-1.png \
		src/images/shared-1.png
	/usr/bin/rcc -name grr src/grr.qrc -o qrc_grr.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all: build/contentwindow.moc
compiler_moc_source_clean:
	-$(DEL_FILE) build/contentwindow.moc
build/contentwindow.moc: src/contentwindow.h \
		src/googlereader.h \
		src/contentwindow.cpp
	/usr/bin/moc $(DEFINES) $(INCPATH) src/contentwindow.cpp -o build/contentwindow.moc

compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_moc_source_clean 

####### Compile

build/qtmain.o: src/qtmain.cpp src/feedswindow.h \
		src/googlereader.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/qtmain.o src/qtmain.cpp

build/googlereader.o: src/googlereader.cpp src/googlereader.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/googlereader.o src/googlereader.cpp

build/feedswindow.o: src/feedswindow.cpp src/feedswindow.h \
		src/googlereader.h \
		src/entrieswindow.h \
		src/contentwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/feedswindow.o src/feedswindow.cpp

build/entrieswindow.o: src/entrieswindow.cpp src/entrieswindow.h \
		src/googlereader.h \
		src/contentwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/entrieswindow.o src/entrieswindow.cpp

build/contentwindow.o: src/contentwindow.cpp src/contentwindow.h \
		src/googlereader.h \
		build/contentwindow.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/contentwindow.o src/contentwindow.cpp

build/moc_googlereader.o: build/moc_googlereader.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/moc_googlereader.o build/moc_googlereader.cpp

build/moc_feedswindow.o: build/moc_feedswindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/moc_feedswindow.o build/moc_feedswindow.cpp

build/moc_entrieswindow.o: build/moc_entrieswindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/moc_entrieswindow.o build/moc_entrieswindow.cpp

build/moc_contentwindow.o: build/moc_contentwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/moc_contentwindow.o build/moc_contentwindow.cpp

build/qrc_grr.o: qrc_grr.cpp

=== debian/changelog ===
grr (0.0.5) unstable; urgency=low

  * Fixed background color for PR1.3

 -- Jan Dumon <jan@crossbar.net>  Tue, 26 October 2010 17:52:07 +0100

=== debian/control ===
Source: grr
Section: user/network
Priority: optional
Maintainer: Jan Dumon <jan@crossbar.net>
Build-Depends: debhelper (>= 4.0.0), libqt4-dev (>= 4.7.0~git20100909-0maemo1+0m5), libgconf2-dev (>= 2.13.5), libx11-dev, libqjson-dev (>= 0.7.1-4)
Standards-Version: 3.6.0

Package: grr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Grr is a simple application for accessing Google Reader.
XSBC-Bugtracker: http://garage.maemo.org/projects/grr
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAABuugAAbroB1t6xFwAAAAd0SU1FB9oDARUfFToHA7IAAAylSURBVGje
 tZp5cBTXncc/73X33BppEBKHJBAgYSMhjmwAOdjY4KyBxI4PyGZtwmKyXqcql3drs0eSxVWxXcku
 Wa9DEsfrTdaxccpbTqBCrR0DPhInAYMxZgEJSSDEIYHuAzSS5urut3/0zDADMjqQu+r90TPT7/2+
 v9/3d/bAGK51T5bzcV/rnxjbGWK0m+54vDF9v+Kx4CRd070TJbRC2Z1dfb0nXiYGsO6JMnY+fnpi
 AKx/spwdWxzhP/ud4r8O5eaty88vnGoYLpeYAOEFYNnKHhgMD3R2tR8ZGhp4eu/WzrPrnyxHKdiZ
 obgxA0gJf8+WGUU+r2935c0LK4KBoNbT10MiFkdNkAWklOQEcvD5fKqhsU61d1785q7vnnsmRdud
 WxrHB+CzW4rQpVEyeVLBbytvWlDV1d2lenq6hZQSIcSE8V4phVIKwzDU7Flz6OzpEKfPnPynHVsa
 t44I/iMd9olyfvvkRfKCoe/OmlFW1XKhRfX19QpN07JgC4RzLwVqnAtNInSNhLJEw+mTwusLUDqr
 /Dt3f2/2JwEOzqsanwU+/9Tc2UVTi5ty/Ll093QrQEip4dJdxBJRIrEBpNuNMAxy+hK4h+wJsYim
 aSoUComWjuZfbHuq5kupzw/Mq+KW+pqs3+oj7LUhL28Sfb19abDTQqV89e6t5AUKiA8OcPz5HxD9
 9e/JmV6OzMlByAmhllCtStnhyZs3LMt5wA4PPA38sLruePjgvCpQiuqG2lEBWOL1+GiPtWdwXqF0
 jcGaWs7/9D/x5eYx+aGHERcuwOXLKDUxVkBIISYXKLXq9tzoxdYnhg5/uOmAZW2qrq/Zn0mpkQDk
 pJxMSolSCuFy0X/gIOFfvYGnsgL9RB38Zhe2UhPq2AC2UkJ88AGekmJl3LlqTtjne/29SOSu6vqa
 Dw7Mm88t9bUjAnCUkSFXoqeH1r2vUrhiNdrOXRCLoSY4KmU5qFLQ1i60S5dU7n335sXPnt1B85mZ
 t9TXXj8KDZcvEaDVnydQVon2zrsQi4EQCCGQgQDS70f6vAi3G6HrqRjpLLKXUmp0eUQIEAI1OCTE
 ewdV8PPri/YXFv0NwMGb519rAe+al4ns2ehEAxm3Y3GNoagXISRCgTsWJDKgEe0MA16wFUiNGc+/
 gIrFsPr7Mbu6MVsuEGs6Q/z8eczWNpSZSAZdRQCTPBEngcRSItvEH4VD0+BUo3CvWC61aVM/Q+fF
 n1U31F4njFa/cteMWY0vlE6bUmQmLCfeo/DHNPzSB5FoUpvO5Z4zJ2lzAdKxCkJghcOYHZ0o00xb
 RMUSBC/38heiicVaHzGljQYDKpGAlbfT9/6h/Z2/2bFyLSSyLOBZvZ1ozPYGfNqLC8s898+cvkzv
 jUmitkyLGgOiw+1uZVAtkxyGF4pnZmROhU9TxDSTbzXdzJq2o/ytVjsqEEIIVCSC8Hg0FxikAKRo
 E0soV0HItfMTN+WsVX6fOt4nPw7fpAfQhEHZXBdvBZfT1+hhCx9iI1BJW4+6jsq8ceniBwvKAmvj
 Pr9qG5RCCpXc0lnSYceELFtB4yWNogIvdeULecWajQs76fBjBBDZsxGWv1A+u8j7qD/kpXvIUbwQ
 AikEUdMmHDUZiJpE4hamZaPUjdWiQigk0ByWFEz2sS80l3bbw1gtfsUHNPlARanXODOgOxoXAing
 tW8uoyjkpX/I5EzXIMea+9l3socjZy9hqSvVZIqjY4nyQjhO3RrRmTY1n8a+IMtk9/gAuD2yUnfr
 Mj4E+jD1TNCns2hmLotm5rLpthJsW/FmTRevH22n7mKYjssxNAlyjCoUQpCwFYNuP5c9QYTZPaY+
 I+0DHpcIJCwxKiU6pYVgzcJCfrJpAT/ZtIBHV5YS9OhEE9a46BW1FIH7PofMCY7peZmRtsVw1bWW
 YY1U9kyhTB1UUZTD1+6axS+/8mesnFeAZY/DPywbV9kcCv7x71HRyKitIEcoHnjjaAfv1HZxsnWA
 wbhFLGGlBRRCpLspKaC0wMdzX1rAl+8sRROM3RKmiWfRQnLXPYCKx0f1/HWLOdtW/Ntrp7Fsha0U
 HkOjqiRIdVmIZXNCzCsKEPK7Mkoe58Cv3zWb+cU5PLWrkY7LUXRNjglH6IsbGHr/EGZX94hlxog7
 a1Lg0iV+t46hCU5cDPP8787xje01fP2lGl5570JWxZqyysqKAp7eUMm0kGfMlhABP8F778mi6bgA
 CCFYvaCQVZUFFE/yEDcVyla4dEnCsqlp6Wfr66dZv+0DWnsjaeFTPrJoZi5bH6xE18YemXxLlmBM
 m3pjFJICvn1vOQU5bqcXsGzeOdHNjkOtnGob4NJQApTiZNsAq7ceZOuDlaxdWJjl9Itn5vLkunn8
 86t1ycp4dGCM4iLc5WWYHZ03RqG4aaeFMTTJmgWF/PyRRTy3eQHrlkzH69JQygH7rVfreOEPzenf
 pyzymcVTeOSOmcTMkTJ4dnTzr7zjxn0g06yZm1cWB9ly/1y2bayiKOTGVmArxba9Z9i+ryUtfEqo
 h28vYdmc0PVDbPKM1Fm+pUtAN64LWjLOywmdgmVlIXY8toSSSd5k46X43q5T7DvZmxTECbNBr8HG
 W0vwufXhBRKCRHMzWFZ2g1VVec1nowZgK/jCjw5z/zOH+Jdf1fNWTRcd/bFrckCO12DX3y2lfKof
 y1a4Dck//M8J2i5Fszh/x7x8KooCw/uBlERP1DtNS2aPsmgharwAlFL0R0wa2wfYebiNr710nEd+
 dpT/+t05TEtl0cplSP79ofkUJS0xFDPZtucMpmWnweqa5AvVRcNaQEhJvKkJrOxSxD23fPwWEEIg
 pUDXJG5d4jEkzd0Rfvr2OTY8+yHhSCJLm7MLfWy+vQSX4Wz7x4Yeai+Es3i9duEU8vwG9tUghMDs
 6XE6row9jeIiVJbfqLH5QIomApDSKYGVUjS0hXno2SNcGswG8ZfVxZRO9gHQN5jgjWMd6f4hpdn1
 S6ano9tVh2H29mYn0tzcrDoM3YUyTaXAHhWFhBCUTQ3wxeUlPLqylOqySRjJ0uBc9xDff62RuJkt
 4Ff+vJS4pTA0we5jnUTiDo1SQO/75DRMS11DJaHpROsbiNbXEz1R56z6BoTbKVeEZcH0qVjtHeFP
 J1tzfSQKVZUEeWbjfCYHXOn66Jk9Tfxy/wWwFbuPdXDP4incelN++rlVFQUUhTx0XI7R2hvlaPNl
 bkt+r5SiJN9LSb6X7nCczCQtPG76XtwOUsuWwzDAtqEgXyWEVGZT0wFnLlQ1kg/A5hUlaeFTfcA3
 Vs/BozuHWJbKSl4prd69eAoJ08alC96s6bpm74Uzc4fPCQkTOxbLWkIphG3D2rUM/HqHZXb3/DiV
 9+RIo705U/zZYw3lUCMUMFCArgn+UN9DTzieRZNVFQUkLCfyfHj2UhYlAcoLfdgfkdRExtxfABiG
 UituY+DI/4lYw6nHVsQHew7Mq6K6viYbwNXDPgU0tA1kO7MQRBMWfYMJUo2/pgnerc/uZWcVenEZ
 EingfPfQNT3z9JCXa+T3eiGYA8EgBIOIwkJFRQVm9VIx0N0dG3zzrcc/dfbUcwdvnp9+T5D2gYRF
 TJeozMGMUvDiH1tYOjtEyG+kz/mP3U1E41ZaIE0KTiWBpmUxNCYHXFweSmDZCtNSWVXp5BxXZihV
 um0JOz9ENM+prRSg4gmRaG/DPHHi7cTZs/96pL7mnaunzWkAg0NWk25bSghEZiFWd6Gf9dsOcc8n
 ppLrM3i7tovalv4sjepScLyln12H24gnRxVx03bsKZzvt/+pmRyfkR77NLUPYmjOGZpEeEhEjhw+
 9+Ol0YMNdnJeAXQh5X67r++SMAz11eTrpuqMtzRXoNz6i+VLqoLvTpqep7UOSpEarSTn9CRMhcKp
 SLVhphaWrbJiuwDcxpWxu9PsX9so2QqK/Sat5y/VHWtwf5p9n2u7eu+rhR4+ke3bvL+hOfJ7txkV
 fiOVulSyLxC4DYnH0IYVPiWQ16Wll8elZXHeY2hZ3xuaxFKQ77GVjEZoaI7873DCAx8pfBqAZ/V2
 h0ZR68EjDf0d04yY8BtKWUqkx/uOE3OD68oeNjDFZ6uAFRX7j/cfiTUMbknNacf1VwPP6peJ7t2I
 WPXSrCkh481PVQXLErqLnqgznZ6YvxRcmU4XeC36+yK8XzfwJ9tWdwzu3mh7Vm8nuvevxv9fifQG
 S/87iF/79txiz52FIVeB2xCeiRpS2woVidlDF7rjF1s6Yq/y7sPPZipwXK+hst/QbCeyJ6mFRT8P
 4pMzEMIHTBgGlArTlThL45djWYqbqMu7ZnvaLz7Oy7vm5Rs+5/8BeroT+B5ohiMAAAAASUVORK5C
 YII=

## grr 0.9

=== DESCRIPTION ===
Package: grr
Title: Alternate Implementations of Base R Functions
Version: 0.9
Author: Craig Varrichio <canthony427@gmail.com>
Maintainer: Craig Varrichio <canthony427@gmail.com>
Description: Alternate implementations of some base R functions, including sort, order, and match.  Functions are faster and/or have been otherwise augmented.
Depends: R (>= 3.0.0)
License: GPL-3
LazyData: true
RoxygenNote: 5.0.1
NeedsCompilation: yes
Packaged: 2016-01-19 16:55:00 UTC; Craig_Varrichio
Repository: CRAN
Date/Publication: 2016-01-19 23:47:40

## grr 0.9.1

=== DESCRIPTION ===
Package: grr
Title: Alternative Implementations of Base R Functions
Version: 0.9.1
Author: Craig Varrichio <canthony427@gmail.com>
Maintainer: Craig Varrichio <canthony427@gmail.com>
Description: Alternative implementations of some base R functions, including sort, order, and match.  Functions are simplified but can be faster or have other advantages.
Depends: R (>= 3.0.0)
License: GPL-3
RoxygenNote: 5.0.1
NeedsCompilation: yes
Packaged: 2016-01-21 15:40:04 UTC; Craig_Varrichio
Repository: CRAN
Date/Publication: 2016-01-23 00:36:03

## grr 0.9.2

=== DESCRIPTION ===
Package: grr
Title: Alternative Implementations of Base R Functions
Version: 0.9.2
Author: Craig Varrichio <canthony427@gmail.com>
Maintainer: Craig Varrichio <canthony427@gmail.com>
Description: Alternative implementations of some base R functions, including sort, order, and match.  Functions are simplified but can be faster or have other advantages.
Depends: R (>= 3.0.0)
License: GPL-3
RoxygenNote: 5.0.1
NeedsCompilation: yes
Packaged: 2016-02-29 20:11:24 UTC; Craig_Varrichio
Repository: CRAN
Date/Publication: 2016-02-29 23:16:11

## grr 0.9.5

=== DESCRIPTION ===
Package: grr
Title: Alternative Implementations of Base R Functions
Version: 0.9.5
Author: Craig Varrichio <canthony427@gmail.com>
Maintainer: Craig Varrichio <canthony427@gmail.com>
Description: Alternative implementations of some base R functions, including sort, order, and match.  Functions are simplified but can be faster or have other advantages.
Depends: R (>= 3.0.0)
License: GPL-3
RoxygenNote: 5.0.1
NeedsCompilation: yes
Packaged: 2016-08-26 16:28:14 UTC; Craig_Varrichio
Repository: CRAN
Date/Publication: 2016-08-26 20:35:38

## grr 1.9.7e~dfsg1

=== debian/changelog ===
grr (1.9.7e~dfsg1-2) unstable; urgency=low

  * added a script to manage /etc/grr/connect.inc.php during the purge process
    Closes: #716836

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 13 Jul 2013 15:56:38 +0200

grr (1.9.7e~dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #706009)
  * apllied a patch to use utf8 as a standard encoding
  * created debian/getsource.sh and debian/watch to get newest sources,
    and strip out unnecessary third party files.
  * refined the d/copyright file, thanks to Luca Falavigna

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 22 Apr 2013 17:53:49 +0200

=== debian/control ===
Source: grr
Section: web
Priority: extra
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.4
Homepage: http://grr.mutualibre.org/

Package: grr
Architecture: all
Depends: ${misc:Depends}, debconf, dbconfig-common,
 ckeditor, libjs-prototype, libphp-phpmailer
Description: web-based resource reservation system
 GRR is designed to manage the shared usage of physical resources
 among a community of users. Resources may be rooms, vehicles,
 beamers, etc.
 .
 GRR allows you to manage fine-grained reservation rights to shared resources,
 enventually divided into separate domains.

## grr 2.2~dfsg2

=== debian/changelog ===
grr (2.2~dfsg2-1) unstable; urgency=medium

  * removed the directory grr/ckeditor/ from the source package, it was
    already replaced by a symlink in the binary package and it contains
    a sourceless flash file. Closes:  #736790

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 10 Feb 2014 07:44:52 +0100

grr (2.2~dfsg1-1) unstable; urgency=low

  * upgraded to the newest upstream version
  * restored the dependency on ckeditor, which will probably depend on yui3
    shortly.
  * added a depedency on libjs-jquery-mousewheel
  * updated the translation to UTF8
  * updated Standards-Version to 3.9.5
  * updated Makefile

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 24 Jan 2014 17:24:22 +0100

grr (1.9.7e~dfsg1-3) unstable; urgency=medium

  * replaced the dependency on ckeditor by a dependency on fckeditor.
    Closes: #734200

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 04 Jan 2014 22:20:12 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: extra
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 8.0.0)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://grr.mutualibre.org/
 
 Package: grr
 Architecture: all
 Depends: ${misc:Depends}, debconf, dbconfig-common,
- ckeditor, libjs-prototype, libphp-phpmailer
+ fckeditor, ckeditor, libjs-prototype, libphp-phpmailer,
+ libjs-jquery-mousewheel
 Description: web-based resource reservation system
  GRR is designed to manage the shared usage of physical resources
  among a community of users. Resources may be rooms, vehicles,

=== debian/watch ===
version=3

opts="versionmangle=s/(\d)(\d)(.*)/$1.$2.$3~dfsg1/" \
  https://adullact.net/frs/?group_id=268 /frs/download.php/.*/grr(.*).zip

## grr 3.1.0.2%2Bdfsg

=== vagrant/Makefile ===
# Makefile for building GRR linux clients in vagrant VMs

all:
	screen -c buildandrepack_screenrc

templates:
	screen -c build_screenrc

vmclean:
	screen -c reprovision_screenrc

windows_templates:
	./build_templates.sh windows_7_64

centos_5.11_32:
	./build_and_repack.sh centos_5.11_32

centos_5.11_64:
	./build_and_repack.sh centos_5.11_64

ubuntu_lucid32:
	./build_and_repack.sh ubuntu_lucid32

ubuntu_lucid64:
	./build_and_repack.sh ubuntu_lucid64

OS_X_10.8.5:
	./build_and_repack.sh OS_X_10.8.5

windows_7_64:
	./build_and_repack.sh windows_7_64

## grr 3.1.0.2+dfsg

=== grr/client/minicomm/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
SET(CMAKE_VERBOSE_MAKEFILE on)

project(grr_minicomm)

include_directories(../../..)
list(APPEND CMAKE_CXX_FLAGS "-std=c++0x ${CMAKE_CXX_FLAGS} -g")

add_library(core_lib
  ../../proto/jobs.pb.cc
  ../../proto/semantic.pb.cc
  comms_utils.cc
  compression.cc
  config.cc config.pb.cc
  crypto.cc
  message_queue.cc
  util.cc
)
set(core_lib_DEPS boost_regex crypto protobuf z)

add_library(http_comms_lib http_connection.cc resource_monitor.cc)
set(http_comms_lib_DEPS core_lib curl ${core_lib_DEPS})

add_library(subprocess_delegator_lib subprocess_delegator.cc)
set(subprocess_delegator_lib_DEPS core_lib ${core_lib_DEPS})

add_library(client_actions_lib client_action.cc client_action_dispatcher.cc
  ../../proto/sysinfo.pb.cc
  ../../proto/knowledge_base.pb.cc
  client_actions/dump_process_memory.cc
  client_actions/enumerate_filesystems.cc
  client_actions/enumerate_interfaces.cc
  client_actions/enumerate_users.cc
  client_actions/find.cc
  client_actions/fingerprint_file.cc
  client_actions/get_client_info.cc
  client_actions/get_configuration.cc
  client_actions/get_install_date.cc
  client_actions/get_library_versions.cc
  client_actions/get_platform_info.cc
  client_actions/grep.cc
  client_actions/list_directory.cc
  client_actions/list_processes.cc
  client_actions/stat_file.cc
  client_actions/delete_grr_temp_files.cc
  client_actions/transfer_buffer.cc
  file_contents.cc
  file_operations.cc
  paths.cc
  tempfiles.cc
)
set(set_client_actions_lib_DEPS core_lib ${core_lib_DEPS})

add_executable(minicomm client_main.cc client.cc)
set(minicom_external_DEPS
  ${http_comms_lib_DEPS}
  ${client_actions_lib_DEPS}
  ${core_lib_DEPS})
list(REMOVE_DUPLICATES minicom_external_DEPS)
target_link_libraries(minicomm
  core_lib
  http_comms_lib
  client_actions_lib
  ${minicom_external_DEPS}
)

install(TARGETS minicomm DESTINATION bin)

# Tests Libraries

find_package(GTest REQUIRED)
include_directories(${GTEST_INCLUDE_DIR})

add_library(test_helper_lib
  client_test_base.cc
  logging_control.cc
  test_util.cc)

set(test_helper_lib_DEPS gtest pthread)

add_executable(unit_tests grr_test_main.cc
  client_action_dispatcher_test.cc
  client_action_test.cc
  client_actions/delete_grr_temp_files_test.cc
  client_actions/enumerate_filesystems_test.cc
  client_actions/enumerate_interfaces_test.cc
  client_actions/enumerate_users_test.cc
  client_actions/find_test.cc
  client_actions/fingerprint_file_test.cc
  client_actions/get_platform_info_test.cc
  client_actions/grep_test.cc
  client_actions/list_directory_test.cc
  client_actions/list_processes_test.cc
  client_actions/transfer_buffer_test.cc
  comms_utils_test.cc
  compression_test.cc
  config_test.cc
  crypto_test.cc
  file_contents_test.cc
  file_operations_test.cc
  message_queue_test.cc
  paths_test.cc
#  subprocess_delegator_test.cc
  tempfiles_test.cc
  util_test.cc
)
set(unit_tests_external_DEPS
  ${client_actions_lib_DEPS}
  ${core_lib_DEPS}
  ${subprocess_delegator_lib_DEPS}
  ${test_helper_lib_DEPS})
list(REMOVE_DUPLICATES unit_tests_external_DEPS)
target_link_libraries(unit_tests
  client_actions_lib
  core_lib
  subprocess_delegator_lib
  test_helper_lib
  ${unit_tests_external_DEPS}
)

=== debian/changelog ===
grr (3.1.0.2+dfsg-5) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * Configure test installation before running autopkgtest.
  * set testing Django secret key

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Hilko Bengen ]
  * Modify debian/watch so that release candidates are found
  * Update Makefile.nanny: Fix static build, strip binaries
  * Turn Depends for client template package into Suggests
    (Closes: #884350)
  * Build Windows "nanny" programs from source, using MinGW
  * update-grr-client-templates: Do not download nanny binaries
  * Refuse to be installed with "current" client template packages thata
    include nanny binaries
  * Copy forensic-artifacts definitions into grr-server package, set
    Buil-tUsing header

 -- Hilko Bengen <bengen@debian.org>  Sat, 28 Apr 2018 21:58:09 +0200

grr (3.1.0.2+dfsg-4) unstable; urgency=medium

  * Fix tests with newer artifacts version.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 12 Aug 2017 15:06:57 -0400

grr (3.1.0.2+dfsg-3) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * Add debconf-based reminder to run grr_config_updater.
  * Drop privileges when running grr_config_updater as root.
  * Drop dependency on prelink (Closes: #863295)
  * Adjust artifact names to match most recent version.

  [ Hilko Bengen ]
  * Add grr-client-templates-installer package
  * Add patch to correctly display client_rate (upstream issue #471)
  * Simplify install target; do not let dh_python2 delete empty
    directories for no good reason
  * systemd services: Add LimitNOFILE setting
  * Fix documentation, regression test data

 -- Hilko Bengen <bengen@debian.org>  Tue, 20 Jun 2017 13:10:31 +0200

grr (3.1.0.2+dfsg-2) unstable; urgency=medium

  * Use correct runtime dependency on python-fusepy instead of python-fuse.
    These are not API compatible and not tested at build time.
  * Do not compress contents of test_data directory.
  * Depend on MySQL client library.
  * Use correct API call for python-mysqldb's conn.autoconnect().
  * Suppress useless duplicate entry warnings.
    Taken from newer unreleased upstream version.
  * Fix and enable most of the installed version tests in autopkgtest.
  * Disable debugging mode in Web UI.
  * Have workers drop privileges ASAP.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 25 Feb 2017 15:52:24 +0000

grr (3.1.0.2+dfsg-1) unstable; urgency=low

  [ Hilko Bengen and Sascha Steinbiss ]
  * Initial package (Closes: #848502)

 -- Sascha Steinbiss <satta@debian.org>  Thu, 19 Jan 2017 13:19:41 +0100

=== debian/control ===
Source: grr
Section: utils
Priority: extra
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>,
           Sascha Steinbiss <satta@debian.org>,
Build-Depends: debhelper (>= 9), dh-python, python-dev,
 cmake,
 debhelper (>= 10.1~) | dh-systemd,
 protobuf-compiler,
 python-binplist,
 python-crontab,
 python-django,
 python-ipaddr,
 python-m2crypto,
 python-mock,
 python-mox,
 python-mysqldb,
 python-pexpect,
 python-protobuf,
 python-psutil,
 python-rekall-core,
 python-requests,
 python-selenium,
 python-setuptools,
 python-tsk,
 python-urllib3,
 python-werkzeug,
 python-yaml,
 txt2man,
 g++-mingw-w64,
Built-Using: ${misc:Built-Using}
Standards-Version: 4.0.0
Homepage: https://github.com/google/grr
Vcs-Git: https://salsa.debian.org/pkg-security-team/grr.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/grr

Package: grr-server
Architecture: any
Pre-Depends:
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends},
 python-rekall-core,
 python-portpicker,
 python-django,
 python-pexpect,
 python-werkzeug,
 python-oauth2client,
 python-crontab,
 python-m2crypto,
 python-wsgiref,
 python-pip,
 python-artifacts (>= 20170806),
 python-fusepy,
 python-mysqldb,
 rpm,
 debhelper,
 fakeroot,
 fonts-font-awesome,
 libjs-bootstrap,
 adduser,
 debconf (>= 0.2.26),
Suggests: grr-client-templates-installer | grr-client-templates,
Breaks: grr-client-templates-installer (<< 3.1.0.2+dfsg-5~),
 grr-client-templates (<< 3.1.0.2-2~),
Description: incident response framework - server
 GRR Rapid Response is an incident response framework focused on
 remote live forensics. It consists of an agent (client) that is
 installed on target systems, and server infrastructure that can
 manage and talk to the agent.

Package: grr-client-templates-installer
Architecture: all
Depends: ${misc:Depends}, wget, ca-certificates,
Breaks: grr-server (<< 3.1.0.2+dfsg-5~),
Description: incident response framework - installer for client templates
 GRR Rapid Response is an incident response framework focused on
 remote live forensics. It consists of an agent (client) that is
 installed on target systems, and server infrastructure that can
 manage and talk to the agent.
 .
 This package contains a download script that fetches compoments which
 are used to build Linux, Windows, and MacOSX client installers are
 built and which cannot currently be built from source on a Debian
 system.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=2

UPSTREAM_VERSION=$(shell dpkg-parsechangelog -SVersion | egrep -o '^[^+-]+')
TIMESTAMP=$(shell dpkg-parsechangelog -STimestamp)
DATE=$(shell date --date=@$(TIMESTAMP) '+%d %B %Y')

MANPAGES=$(patsubst %.txt,%,$(wildcard debian/man/*.txt))

%:
	dh $@  --with python2,systemd --buildsystem=pybuild

%.1: %.1.txt
	TZ=UTC LC_ALL=C \
	  txt2man -d "$(DATE)" \
	  -s 1 -r "GRR $(UPSTREAM_VERSION)" -t $(shell basename -a -s.1 $@) \
	  $< > $@

%.8: %.8.txt
	TZ=UTC LC_ALL=C \
	  txt2man -d "$(DATE)" \
	  -s 8 -r "GRR $(UPSTREAM_VERSION)" -t $(shell basename -a -s.1 $@) \
	  $< > $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(MANPAGES)
	$(MAKE) -f debian/Makefile.nanny clean

override_dh_auto_configure:
	dh_auto_configure
	dh_auto_configure -- --dir=grr/config/grr-response-server/

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- --dir=grr/config/grr-response-server/
	dh_auto_build -- --dir=grr/config/grr-response-test/
	python makefile.py
	$(MAKE) -f debian/Makefile.nanny

override_dh_auto_test:
	#pass

override_dh_auto_install:
	cp $(CURDIR)/version.ini $(CURDIR)/grr/config/grr-response-server
	cp $(CURDIR)/version.ini $(CURDIR)/grr/config/grr-response-test
	PYTHONPATH=$(CURDIR) dh_auto_install
	PYTHONPATH=$(CURDIR) dh_auto_install -- --dir=grr/config/grr-response-server/
	PYTHONPATH=$(CURDIR) dh_auto_install -- --dir=grr/config/grr-response-test/
	find $(CURDIR)/debian -name .gitignore -or -name makefile.py | xargs -r rm -f

override_dh_python2:
	dh_python2 --skip-private

override_dh_link:
	cp  /usr/share/artifacts/*.yaml \
		debian/grr-server/usr/lib/python2.7/dist-packages/grr/artifacts
	ln -s debian/grr-server/usr/lib/python2.7/dist-packages/grr/artifacts/*.yaml \
		debian/grr-server/usr/share/grr-server/grr/artifacts
	ln -rs debian/grr-server/usr/lib/python2.7/dist-packages/grr/gui/templates/*.html \
		debian/grr-server/usr/share/grr-server/grr/gui/templates/

	rm -rf debian/grr-server/usr/share/grr-server/grr/artifacts/flow_templates
	ln -s /usr/lib/python2.7/dist-packages/grr/artifacts/flow_templates \
		debian/grr-server/usr/share/grr-server/grr/artifacts/

	dh_link

override_dh_installman: $(MANPAGES)
	dh_installman

override_dh_install:
	dh_install --fail-missing

override_dh_installinit:
	dh_installinit --name=grr-server
	dh_installinit --name=grr-server@

override_dh_compress:
	dh_compress --exclude=test_data

override_dh_gencontrol:
	dh_gencontrol -- -Vmisc:Built-Using="forensic-artifacts (= $$(dpkg-query --show --showformat='$${source:Version}' forensic-artifacts))"

=== debian/tests/control ===
Tests: test-installed
Depends: @, unzip
Restrictions: needs-root,isolation-container,allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d.*)\.tar\.gz%grr-$1.tar.gz%,uversionmangle=s%(rc)%~$1%,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg," \
   https://github.com/google/grr/tags \
   (?:.*?/)?v?(\d.*)\.tar\.gz debian uupdate
